background {
    monitor =
    path = ~/NixOS-Configs/WE-Lake.png

    # all these options are taken from hyprland, see https://wiki.hyprland.org/Configuring/Variables/#blur for explanations
    blur_passes = 3 # 0 disables blurring
    blur_size = 13
    contrast = 0.8916
    brightness = 0.8172
    vibrancy = 0.1696
    vibrancy_darkness = 0.0
}


image {
    monitor =
    path = ~/NixOS-Configs/pfp.jpg
    border_size = 2
    border_color = rgba(255, 255, 255, 0)
    size = 130
    rounding = 100
    rotate = 0
    reload_time = -1
    reload_cmd = 
    position = 0, 40
    halign = center
    valign = center
}

label {
    monitor =
    text = cmd[update:1000] echo -e "$(date +"%A, %B %d")"
    color = rgba(122, 162, 247, 0.70)
    font_size = 25
    font_family = Roboto Bold
    position = 0, 350
    halign = center
    valign = center
}

label {
    monitor =
    text = cmd[update:1000] echo "<span>$(date +"%I:%M")</span>"
    color = rgba(122, 162, 247, 0.70)
    font_size = 120
    font_family = Roboto Bold
    position = 0, 250
    halign = center
    valign = center
}

label {
    monitor =
    text = Joshua Elmasri
    text_align = center # center/right or any value for default left. multi-line text alignment inside label container
    color = rgba(122, 162, 247, 1.0)
    font_size = 30
    font_family = Roboto Bold
    rotate = 0 # degrees, counter-clockwise

    position = 0, -110
    halign = center
    valign = center
}

input-field {
    monitor =
    size = 300, 60
    outline_thickness = 2
    dots_size = 0.2 # Scale of input-field height, 0.2 - 0.8
    dots_spacing = 0.2 # Scale of dots' absolute size, 0.0 - 1.0
    dots_center = false
    dots_fade_time = 0
    outer_color = rgba(0, 0, 0, 0)
    inner_color = rgba(255, 255, 255, 0.1)
    font_color = rgb(169, 177, 214)
    fade_on_empty = false
    font_family = Roboto
    placeholder_text = Password
    hide_input = false
    position = 0, -210
    halign = center
    valign = center
}
